/******************************************************************************
 *
 * ttlscan config.h
 *
 * $Id: config.h,v 1.5 2002/10/22 18:38:17 hscholz Exp $
 *
 *****************************************************************************/

#ifndef TTL_CONFIG_H
#define TTL_CONFIG_H

// we use libdnet, so we cannot include icmp.h
#define _NETINET_IP_ICMP_H_

#include <stdio.h>
#include <unistd.h>
#include <stdarg.h>             // va_*
#include <sys/utsname.h>        // uname()
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <sys/ioctl.h>
#include <net/if.h>
#include <arpa/inet.h>

// libdnet is great. I use intf_get_dst() and rand_*()
#include <dnet.h>

// pcap
#include <pcap.h>

// libnet
#include <libnet.h>

#include <sys/socket.h>
#include <sys/types.h>

#define VERSION "0.1.1"

#define TRUE 42
#define FALSE 0

#define MAXBUF 1024

// error levels
#define ERR_DEBUG 100
#define ERR_DEBUGV 104
#define ERR_NOTICE 101
#define ERR_WARNING 102
#define ERR_FATAL 103

// global debug variable
int debug = 0;

// IP header offset in caputured packet
int offset = -1;

// default timeout when waiting for a response is 2 seconds
int timeout_secs = 2;
int timeout_msecs = 0;

// wait between tests
int waittime = 0;

#endif TTL_CONFIG_H
