// $Id: error.c,v 1.1 2002/06/20 04:50:05 hscholz Exp $

/******************************************************************************
 *
 * error()
 *
 * print error message and exit if needed
 *
 *****************************************************************************/

void error(int level, char *msg, ... )
{
   extern int debug;
   va_list arguments;
   char buffer[MAXBUF];

   va_start(arguments, msg);
   vsnprintf(buffer, sizeof(buffer)-1, msg, arguments);

   switch (level)
    {
        case ERR_DEBUG:
            if (debug != 0)
                fprintf(stderr, "DEBUG: ");
            break;
        case ERR_DEBUGV:
            if (debug > 1)
                fprintf(stderr, "DEBUGV: ");
            break;
        case ERR_NOTICE:
            fprintf(stderr, "NOTICE: ");
            break;
        case ERR_WARNING:
            fprintf(stderr, "WARNING: ");
            break;
        case ERR_FATAL:
            fprintf(stderr, "FATAL: ");
            break;
   }
   // print the rest
   if ((debug != 0 && level == ERR_DEBUG) ||
       (debug > 1 &&  level == ERR_DEBUGV) ||
       (level != ERR_DEBUG && level != ERR_DEBUGV))
   {
      fprintf(stderr, "%s", buffer);
      va_end(arguments);
      printf("\n");
   }

    if (level == ERR_FATAL)
        exit(1);
}
